Index: /SMC/trunk/SMC/src/web/get.php
===================================================================
--- /SMC/trunk/SMC/src/web/get.php	(revision 6845)
+++ /SMC/trunk/SMC/src/web/get.php	(revision 6846)
@@ -1,17 +1,17 @@
 <?php
+header('Access-Control-Allow-Origin: *');
+header('Access-Control-Allow-Headers: X-Requested-With, Content-Type');
  
 function file_get_contents_utf8($fn) {
-  $content = file_get_contents($fn);
-  return mb_convert_encoding($content, 'UTF-8',
-          mb_detect_encoding($content, 'UTF-8, ISO-8859-1', true));
+    $content = file_get_contents($fn);
+    $content = mb_convert_encoding(
+        $content, 
+        'UTF-8',
+        mb_detect_encoding($content, 'UTF-8, ISO-8859-1', true)
+    );
+    return $content;
 }
 
-	$link = $_GET['link'];
-	$content = file_get_contents_utf8($link);
+$content = file_get_contents_utf8(@$_GET['link']);
+echo($content);
 
-  //$referer = $_SERVER['SERVER_NAME'];
-  //echo($referer );
-  echo($content);
-  
-    
-?>
Index: /SMC/trunk/SMC/src/web/scripts/js/config.js
===================================================================
--- /SMC/trunk/SMC/src/web/scripts/js/config.js	(revision 6845)
+++ /SMC/trunk/SMC/src/web/scripts/js/config.js	(revision 6846)
@@ -1,52 +1,75 @@
-
-var config ={
-       "url": {// "data_prefix":"data/",
-                 "data_prefix":"/graph-data/",
-                //"detail":"get.xql" ,
-                "detail":"http://localhost:8082/exist/rest/db/cr-projects/tester/get.xql?key=",
-             //  "detail":"http://localhost:8580/exist/apps/smc-browser/get.xql" ,
-            // "detail":"data/smc_stats_detail.html",
-               "userdocs":"docs/userdocs.html"
-              },
-        "mode":"dynamic",  // "static | dynamic"
-        "min_circle":4,
-        "max_circle":80,
-        "base_font_size":10,
-        "select_rect_min_size":5,
-        "first_level_margin":20,
-        "show_count":1
-        
+var config = {
+    "url": {
+        "data_prefix":"",
+        //"detail":"get.xql" ,
+        //"detail":"http://localhost:8580/exist/apps/smc-browser/get.xql" ,
+        //"detail":"http://localhost:8082/exist/rest/db/cr-projects/tester/get.xql?key=",
+        //"detail":"data/smc_stats_detail.html",
+        "detail":"docs/empty.html",
+        "userdocs":"docs/userdocs.html"
+    },
+    "mode":"dynamic",  // "static | dynamic"
+    "min_circle":4,
+    "max_circle":80,
+    "base_font_size":10,
+    "select_rect_min_size":5,
+    "first_level_margin":20,
+    "show_count":1
 };
 
 // configuration of the navigation widgets 
-var opts = {"graph": {"value":"issues/issues_all_c747_2015-03-20_graph.json", 
-                    "values":[{value: "smc/smc-graph-basic.js", label:"SMC graph basic"},
-                              {value: "smc/smc-graph-all.js", label:"SMC graph all"},                              
-                              {value: "smc/smc-graph-profiles-datcats.js", label:"only profiles + datcats"},
-                              {value: "smc/smc-graph-groups-profiles-datcats-rr.js", label:"profiles+datcats+groups+rr"},
-                              {value: "smc/smc-graph-profiles-similarity.js", label:"profiles similarity"},                              
-                              {value: "philosophers/dbpedia_philosophers_influence_years_graph.json", label:"Philosophers"},
-                              {value: "SC_Persons_120201_cAll_graph.json", label:"Schnitzler Cooccurrences"},
-                              {value: "issues/issues_all_c747_2015-03-20_graph.json", label:"Issues"},
-                             
-                              /*,
-                              {value: "smc-graph-mdrepo-stats.js", label:"instance data"}*/
-                              
-                             ], "widget":"selectone" },
-            "depth-before": {"value":2, "min":0, "max":10, "widget":"slider"}, 
-            "depth-after":{"value":2, "min":0, "max":10, "widget":"slider"}, 
-            "link-distance": {"value":120, "min":10, "max":300, "widget":"slider" }, 
-            "charge":{"value":250, "min":10, "max":1000, "widget":"slider" },
-            "friction":{"value":75, "min":1, "max":100, "widget":"slider" },
-            "gravity":{"value":10, "min":1, "max":100, "widget":"slider" },
-            "node-size": {"value":"4", "values":["1","4","8","16","count"], "widget":"selectone" },
-            "link-width": {"value":"1", "values":["1","value"], "widget":"selectone" },
-            "weight":{"value":100, "min":1, "max":100, "widget":"slider" },
-            "labels": {"value":"show", "values":["show","hide"], "widget":"selectone" },                         
-            "curve": {"value":"straight-arrow", "values":["straight-line","arc-line","straight-arrow","arc-arrow"], "widget":"selectone" },
-           "layout": {"value":"horizontal-tree", "values":["vertical-tree", "horizontal-tree", "weak-tree","force","dot", "freeze"], "widget":"selectone" },
-            "selected": {"widget":"hidden" },
-            "link": {"widget":"link", "label":""},
-            "download": {"widget":"link", "label":""},
-            "add_profile": {"widget":"link", "label":"Add profile", "widget":""}
-            };
+var opts = {
+    "graph": {
+        "value":"data/philosophers/dbpedia_philosophers_influence_years_graph.json", 
+        "values":[
+            {value: "data/smc/smc-graph-basic.js", label:"SMC graph basic"},
+            {value: "data/smc/smc-graph-all.js", label:"SMC graph all"},                              
+            {value: "data/smc/smc-graph-profiles-datcats.js", label:"only profiles + datcats"},
+            {value: "data/smc/smc-graph-groups-profiles-datcats-rr.js", label:"profiles+datcats+groups+rr"},
+            {value: "data/smc/smc-graph-profiles-similarity.js", label:"profiles similarity"},                              
+            {value: "data/philosophers/dbpedia_philosophers_influencedBy_graph.json", label:"Philosophers influenced by"},
+            {value: "data/philosophers/dbpedia_philosophers_influence_graph.json", label:"Philosophers influence"},
+            {value: "data/philosophers/dbpedia_philosophers_influence_years_graph.json", label:"Philosophers influence years"}
+            /*{value: "SC_Persons_120201_cAll_graph.json", label:"Schnitzler Cooccurrences"}*/
+            /*{value: "issues/issues_all_c747_2015-03-20_graph.json", label:"Issues"}*/
+            /*{value: "smc-graph-mdrepo-stats.js", label:"instance data"}*/
+        ], 
+        "widget":"selectone" 
+    },
+    "depth-before": {"value":2, "min":0, "max":10, "widget":"slider"}, 
+    "depth-after":{"value":2, "min":0, "max":10, "widget":"slider"}, 
+    "link-distance": {"value":120, "min":10, "max":300, "widget":"slider" }, 
+    "charge":{"value":250, "min":10, "max":1000, "widget":"slider" },
+    "friction":{"value":75, "min":1, "max":100, "widget":"slider" },
+    "gravity":{"value":10, "min":1, "max":100, "widget":"slider" },
+    "node-size": {
+        "value":"4", 
+        "values":["1","4","8","16","count"], 
+        "widget":"selectone" 
+    },
+    "link-width": {
+        "value":"1", 
+        "values":["1","value"], 
+        "widget":"selectone" 
+    },
+    "weight":{"value":100, "min":1, "max":100, "widget":"slider" },
+    "labels": {
+        "value":"show", 
+        "values":["show","hide"], 
+        "widget":"selectone" 
+    },
+    "curve": {
+        "value":"straight-arrow", 
+        "values":["straight-line","arc-line","straight-arrow","arc-arrow"], 
+        "widget":"selectone" 
+       },
+    "layout": {
+        "value":"horizontal-tree", 
+        "values":["vertical-tree", "horizontal-tree", "weak-tree","force","dot", "freeze"], 
+        "widget":"selectone" 
+    },
+    "selected": {"widget":"hidden" },
+    "link": {"widget":"link", "label":""},
+    "download": {"widget":"link", "label":""},
+    "add_profile": {"widget":"link", "label":"Add profile", "widget":""}
+};
Index: /SMC/trunk/SMC/src/web/scripts/js/jquery/jquery.layout-1.3.0.rc29.12.js
===================================================================
--- /SMC/trunk/SMC/src/web/scripts/js/jquery/jquery.layout-1.3.0.rc29.12.js	(revision 6845)
+++ /SMC/trunk/SMC/src/web/scripts/js/jquery/jquery.layout-1.3.0.rc29.12.js	(revision 6846)
@@ -1430,5 +1430,5 @@
 
 				if ($C.is(":visible") && $C.innerHeight() < 2){
-					alert( lang.errContainerHeight.replace(/CONTAINER/, sC.ref) );
+					console.log( lang.errContainerHeight.replace(/CONTAINER/, sC.ref) );
 				}
 
@@ -1756,5 +1756,5 @@
 
 		if ($Container.innerHeight() < 2){
-			alert( lang.errContainerHeight.replace(/CONTAINER/, sC.ref) );
+			console.log( lang.errContainerHeight.replace(/CONTAINER/, sC.ref) );
 		}
 		
Index: /SMC/trunk/SMC/src/web/scripts/js/smc-graph.js
===================================================================
--- /SMC/trunk/SMC/src/web/scripts/js/smc-graph.js	(revision 6845)
+++ /SMC/trunk/SMC/src/web/scripts/js/smc-graph.js	(revision 6846)
@@ -3,23 +3,23 @@
 var item_li = null;
 
-var svg  = null; // main svg-element
-var css; 
+var svg = null; // main svg-element
+var css;
 var data_all = null; // global holder for all (input) data
 var nodes_sel = []; // global holder for selected data (selected nodes)
 var data_show = null; // global holder for data to show  closure over nodes_sel 
-var nest = {}; 
+var nest = {};
 var detail_data = null; // global holder for detail-data (in html)
-var mode = "dynamic";   // dynamic or static (default)  static=load detail data all at once on init; 
- 
+var mode = "static";   // dynamic or static (default)  static=load detail data all at once on init; 
+
 
 var input_prefix = "input-";
 var select_rect_min_size = config.select_rect_min_size;
-var first_level_margin = config.first_level_margin ;
-var base_font_size = config.base_font_size ;
+var first_level_margin = config.first_level_margin;
+var base_font_size = config.base_font_size;
 var min_circle = config.min_circle;
 var max_circle = config.max_circle;
 
 var show_count = config.show_count;
- 
+
 
 //var detail_url = "http://localhost:8580/exist/apps/smc-browser/get.xql"; obsoleted by config
@@ -31,12 +31,12 @@
 /*var source_file = "../scripts/cmd-dep-graph-d3_all_svg.json"*/
 /*var source_file = "file:/C:/Users/m/3/clarin/_repo/SMC/output/cmd-dep-graph.d3.js"
-var detail_file = "file:/C:/Users/m/3/clarin/_repo/SMC/output/smc_stats_detail.html"
-*/
+ var detail_file = "file:/C:/Users/m/3/clarin/_repo/SMC/output/smc_stats_detail.html"
+ */
 /*
-var source_file = "/smc/_structure-graph.json";
-var source_file = "cmd-dep-graph.d3.js";
-var detail_file = "smc_stats_detail.html";
-var userdocs_file = "userdocs.html";
-*/
+ var source_file = "/smc/_structure-graph.json";
+ var source_file = "cmd-dep-graph.d3.js";
+ var detail_file = "smc_stats_detail.html";
+ var userdocs_file = "userdocs.html";
+ */
 //now graph-param is used
 //var source_file = "/smc/smc-graph.d3";
@@ -49,13 +49,13 @@
 
 /** temporary helper function
-to easily get the param-data
-*/
+ to easily get the param-data
+ */
 function opt(key) {
- var val = $("#navigate").data("qi").getParamValue(key);
- return typeof val == 'undefined' ? "" : val;
-}
-
-function currentOpts () {
- return $("#navigate").data("qi");
+    var val = $("#navigate").data("qi").getParamValue(key);
+    return typeof val == 'undefined' ? "" : val;
+}
+
+function currentOpts() {
+    return $("#navigate").data("qi");
 }
 
@@ -64,117 +64,134 @@
  * @function
  */
- function initGraph (graph_source)
-    {
-
-     // load data
-     d3.json(config.url.data_prefix + graph_source, 
-                function(json) {        
-                    // return if data missing
-                    if (json==null) { notifyUser("source data missing: " + graph_source ); return null}            
-                    data_all = json;
-                    data_all.nodes_index = {};
-                    data_all.nodes.forEach(function(d){            
-                        data_all.nodes_index[d.key] = d;
-                    });
+function initGraph(graph_source) {
+
+    // load data
+    d3.json(config.url.data_prefix + graph_source,
+            function (json) {
+                // return if data missing
+                if (json == null) {
+                    notifyUser("source data missing: " + graph_source);
+                    return null
+                }
+                data_all = json;
+                data_all.nodes_index = {};
+                data_all.nodes.forEach(function (d) {
+                    data_all.nodes_index[d.key] = d;
+                });
+
+                data_all.links.forEach(function (d) {
+                    // try to interpret node references as nodes ids
+                    // if it fail, try to interpret them as indexes
+                    if(data_all.nodes_index.hasOwnProperty(d.source)){
+                        d.source = data_all.nodes_index[d.source];
+                    }else{
+                        d.source = data_all.nodes[d.source];
+                    }
                     
-                    data_all.links.forEach(function(d) { 
-                                        //resolve numeric index to node references
-                                                src_ix = d.source;
-                                                d.source = data_all.nodes_index[src_ix];
-                                                //d.source.index = src_ix;
-                                                trg_ix = d.target;
-                                                d.target = data_all.nodes_index[trg_ix];
-                                                //d.target.index = trg_ix;
-//                                                src_key = d.source.key;
-  //                                              trg_key = d.target.key;
-                                                if (d.target == null | d.source == null) { 
-                                                  notifyUser("nodes for link missing: " + src_ix + " - " + trg_ix);
-                                                } 
-  
-                                             });
-                   // remove links for which nodes are missing!
-                  data_all.links = data_all.links.filter(function(d){return (d.source !=null & d.target != null ) } )
-  
+                    if(data_all.nodes_index.hasOwnProperty(d.target)){
+                        d.target = data_all.nodes_index[d.target];
+                    }else{
+                        d.target = data_all.nodes[d.target];
+                    }
+                                        
+                    if (d.target === null || d.source === null) {
+                        notifyUser("nodes for link missing: " + src_ix + " - " + trg_ix);
+                    }
+
+                });
+                // remove links for which nodes are missing!
+                data_all.links = data_all.links.filter(function (d) {
+                    return (d.source != null & d.target != null)
+                })
+
                 // generate lookup hashes for neighbours;                                             
-                 add_lookups(data_all);
-                 
-                 // get min/max on some properties
-                 var init_x_arr = [];
-                    data_all.nodes.forEach(function(d,i){init_x_arr.push(d.init_x);})
-                 data_all.init_x_min = d3.min(init_x_arr);
-                 data_all.init_x_max = d3.max(init_x_arr);
-
-                 var init_level = [];
-                    data_all.nodes.forEach(function(d,i){init_level.push(+d.level);})
-                    data_all.level_min = (d3.min(init_level)==d3.max(init_level)) ? (d3.min(init_level) - 1) : d3.min(init_level) ;
-                
-                 var init_count = [];
-                    data_all.nodes.forEach(function(d,i){init_count.push(+d.count);})
-                 
-                 data_all.count_max = d3.max(init_count);
-                 data_all.node_size_ratio = Math.sqrt(data_all.count_max) / max_circle;
-
-                    var init_weight = [];
-                    data_all.links.forEach(function(d,i){init_weight.push(+d.weight);})
-                 
-                 data_all.weight_min = d3.min(init_weight);
+                add_lookups(data_all);
+
+                // get min/max on some properties
+                var init_x_arr = [];
+                data_all.nodes.forEach(function (d, i) {
+                    init_x_arr.push(d.init_x);
+                })
+                data_all.init_x_min = d3.min(init_x_arr);
+                data_all.init_x_max = d3.max(init_x_arr);
+
+                var init_level = [];
+                data_all.nodes.forEach(function (d, i) {
+                    init_level.push(+d.level);
+                })
+                data_all.level_min = (d3.min(init_level) == d3.max(init_level)) ? (d3.min(init_level) - 1) : d3.min(init_level);
+
+                var init_count = [];
+                data_all.nodes.forEach(function (d, i) {
+                    init_count.push(+d.count);
+                })
+
+                data_all.count_max = d3.max(init_count);
+                data_all.node_size_ratio = Math.sqrt(data_all.count_max) / max_circle;
+
+                var init_weight = [];
+                data_all.links.forEach(function (d, i) {
+                    init_weight.push(+d.weight);
+                })
+
+                data_all.weight_min = d3.min(init_weight);
                 curr_params = $("#navigate").data("qi").params;
                 /* if weight is not used (all weight==1 deactivate the weight widget */
-                if (data_all.weight_min==1) {
-                            
-                           delete curr_params.weight;
-/*                           $("#navigate").init(curr_opts );*/
-                        $("#navigate").QueryInput({params: curr_params,
-                             onValueChanged: renderGraph
-                             });
+                if (data_all.weight_min == 1) {
+
+                    delete curr_params.weight;
+                    /*                           $("#navigate").init(curr_opts );*/
+                    $("#navigate").QueryInput({params: curr_params,
+                        onValueChanged: renderGraph
+                    });
                 } else {
-                      curr_params.weight = {"value":70, "min":1, "max":100, "widget":"slider" };
-                      $("#navigate").QueryInput({params: curr_params,
-                             onValueChanged: renderGraph
-                      });
+                    curr_params.weight = {"value": 70, "min": 1, "max": 100, "widget": "slider"};
+                    $("#navigate").QueryInput({params: curr_params,
+                        onValueChanged: renderGraph
+                    });
                 }
-                
-                
+
+
                 notifyUser("count max: " + data_all.count_max + "; "
                         + "node_size_ratio: " + data_all.node_size_ratio);
-                 
-                 // should be delivered by the data directly
-                   data_all.nodes.forEach(function(d,i) {
-                       d.x = d.init_x;
-                       d.y = d.init_y;
-                     });
-
-                  // get selected nodes (if any) from param
-                  selected_ids = opt("selected").split(",");
-                  selectNodeByKey(selected_ids);
-                  /*var selected_match = 0;
-                    for (var i = 0; i < selected_ids.length; i++)
-                    {  if (data_all.nodes_index[selected_ids[i]]) {
-                             data_all.nodes_index[selected_ids[i]].selected = 1;
-                             selected_match ++;
-                       }
-                    }    
-                  // if something was selected, update and render Graph and Detail
-                  if (selected_match) { updateSelected();}
-                  */  
-              renderIndex();
-    
-                
-                });        
+
+                // should be delivered by the data directly
+                data_all.nodes.forEach(function (d, i) {
+                    d.x = d.init_x;
+                    d.y = d.init_y;
+                });
+
+                // get selected nodes (if any) from param
+                selected_ids = opt("selected").split(",");
+                selectNodeByKey(selected_ids);
+                /*var selected_match = 0;
+                 for (var i = 0; i < selected_ids.length; i++)
+                 {  if (data_all.nodes_index[selected_ids[i]]) {
+                 data_all.nodes_index[selected_ids[i]].selected = 1;
+                 selected_match ++;
+                 }
+                 }    
+                 // if something was selected, update and render Graph and Detail
+                 if (selected_match) { updateSelected();}
+                 */
+                renderIndex();
+
+
+            });
 }
 
 /** put grouped list of nodes into the target container*/
-function renderIndex (data, target_container_selector) {
+function renderIndex(data, target_container_selector) {
     data = typeof data !== 'undefined' ? data : data_all.nodes;
     target_container_selector = typeof target_container_selector !== 'undefined' ? target_container_selector : index_container_selector;
-    renderNodeList (data, target_container_selector); 
+    renderNodeList(data, target_container_selector);
 }
 
 
 /** generate the detail lists
-    @param nodes
-*/  
-function renderDetail (nodes) {    
-    renderNodeList (nodes, detail_container_selector); 
+ @param nodes
+ */
+function renderDetail(nodes) {
+    renderNodeList(nodes, detail_container_selector);
 }
 
